
Imports System.Net
Imports System.Net.Http
Imports System.Security.Cryptography.X509Certificates
Imports System.Text
Imports System.Media


Public Class Form1
    Public Sub Button1_Click(sender As Object, e As EventArgs) Handles btnClickThis.Click
        My.Computer.Clipboard.SetText(txtFinalUrl.Text)
        Using player As New SoundPlayer(My.Resources.WindowsXPCriticalStop)
            player.Play()
        End Using
    End Sub


    Private Sub btnEditBaseUrl_Click(sender As Object, e As EventArgs) Handles btnEditBaseUrl.Click
        Dim rawRMA As String
        rawRMA = txtRMA.Text

        Dim encodedRMA As String = Uri.EscapeDataString(rawRMA)

        txtFinalUrl.Text = "https://www.tnt.com/express/en_au/site/shipping-tools/tracking.html?searchType=ref&cons=" & encodedRMA
    End Sub

    Private Sub Button1_Click_1(sender As Object, e As EventArgs) Handles Button1.Click
        Dim rawRMA As String
        rawRMA = txtRMA.Text

        Dim encodedRMA As String = Uri.EscapeDataString(rawRMA)

        txtFinalUrl.Text = "https://www.tnt.com/express/en_au/site/shipping-tools/tracking.html?searchType=con&cons=" & encodedRMA
    End Sub

    Private Sub btnFedexShipping_Click(sender As Object, e As EventArgs) Handles btnFedexShipping.Click
        Dim rawRMA As String
        rawRMA = txtRMA.Text

        Dim encodedRMA As String = Uri.EscapeDataString(rawRMA)

        txtFinalUrl.Text = "https://www.fedex.com/fedextrack/?trknbr=" & encodedRMA
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles btnDHLShipping.Click
        Dim rawRMA As String
        rawRMA = txtRMA.Text

        Dim encodedRMA As String = Uri.EscapeDataString(rawRMA)

        txtFinalUrl.Text = "https://www.dhl.com/au-en/home/tracking/tracking-express.html?submit=1&tracking-id=" & encodedRMA
    End Sub

    Private Sub Label1_Click(sender As Object, e As EventArgs) Handles Label1.Click

    End Sub

    Private Sub AboutToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles AboutToolStripMenuItem.Click
        Dim box = New Form3()
        box.Show()
    End Sub
End Class

